Package org.jfree.layouting.namespace

## Interface NamespaceDefinition

- All Known Implementing Classes:
    `DefaultNamespaceDefinition`

      public interface NamespaceDefinition

  Creation-Date: 13.04.2006, 12:31:43
  Author:
    Thomas Morgner

- - ### Method Summary

    All Methods Instance Methods Abstract Methods
    Modifier and Type | Method | Description
    --- | --- | ---
    `java.lang.String[]` | `getClassAttribute​(java.lang.String element)` |
    `org.pentaho.reporting.libraries.resourceloader.ResourceKey` | `getDefaultStyleSheetLocation​()` |
    `java.lang.String` | `getPreferredPrefix​()` |
    `java.lang.String[]` | `getStyleAttribute​(java.lang.String element)` |
    `java.lang.String` | `getURI​()` |

- - ### Method Detail

    - #### getPreferredPrefix

          java.lang.String getPreferredPrefix​()

    - #### getURI

          java.lang.String getURI​()

    - #### getClassAttribute

          java.lang.String[] getClassAttribute​(java.lang.String element)

    - #### getStyleAttribute

          java.lang.String[] getStyleAttribute​(java.lang.String element)

    - #### getDefaultStyleSheetLocation

          org.pentaho.reporting.libraries.resourceloader.ResourceKey getDefaultStyleSheetLocation​()